Index: rubycfg_asp/trunk/asp_dcre/tinet/netapp/dhcp6.h
===================================================================
--- rubycfg_asp/trunk/asp_dcre/tinet/netapp/dhcp6.h	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/tinet/netapp/dhcp6.h	(revision 315)
@@ -5,44 +5,30 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -53,5 +39,5 @@
 
 /*
- *  DHCPv6 ã«é¢ããå®ç¾©
+ *  DHCPv6 に関する定義
  *
  *    RFC3315
@@ -59,5 +45,5 @@
 
 /*
- *  DHCPv6 ã¡ãã»ã¼ã¸ã®å®æ°ã®å®ç¾©
+ *  DHCPv6 メッセージの定数の定義
  */
 
@@ -66,5 +52,5 @@
 
 /*
- *  DHCPv6 ã¡ãã»ã¼ã¸
+ *  DHCPv6 メッセージ
  */
 
@@ -79,5 +65,5 @@
 	} T_DHCP6_MSG;
 
-/* message type ã®å®ç¾© */
+/* message type の定義 */
 
 #define DHCP6_SOLICIT		UINT_C(1)
@@ -96,5 +82,5 @@
 
 /*
- *  DHCPv6 ãªãã·ã§ã³
+ *  DHCPv6 オプション
  */
 
@@ -113,10 +99,10 @@
 #define DHCP6_OPT_IA_PD		UINT_C(25)
 
-/* hardware address type ã®å®ç¾© */
+/* hardware address type の定義 */
 
 #define DHCP6_HWA_TYPE_ETHER	UINT_C(1)
 #define DHCP6_HWA_TYPE_IEEE802	UINT_C(6)
 
-/* STATUS CODE ã®å®ç¾© */
+/* STATUS CODE の定義 */
 
 #define DHCP6_STAT_SUCCESS	UINT_C(0)
@@ -127,14 +113,13 @@
 #define DHCP6_STAT_USE_MCAST	UINT_C(5)
 
-/* æéå®æ°[s]ã®å®ç¾© */
+/* 時間定数[s]の定義 */
 
 #define DHCP6_MAX_TIME		UINT_C(0xffffffff)
 
 /*
- *  ãªãã·ã§ã³ã®ãããé¨ã®å®ç¾©
- */
-
-/* ãªãã·ã§ã³ã®å
-±éé¨ */
+ *  オプションのヘッダ部の定義
+ */
+
+/* オプションの共通部 */
 
 typedef struct dhcp6_option {
@@ -143,8 +128,7 @@
 	} T_DHCP6_OPTION;
 
-/* ãªãã·ã§ã³ã®å
-±éé¨ */
-
-/* CLIENTID ãªãã·ã§ã³ */
+/* オプションの共通部 */
+
+/* CLIENTID オプション */
 
 typedef struct dhcp6_opt_clientid {
@@ -153,5 +137,5 @@
 	} T_DHCP6_OPT_CLIENTID;
 
-/* SERVERID ãªãã·ã§ã³ */
+/* SERVERID オプション */
 
 typedef struct dhcp6_opt_serverid {
@@ -160,5 +144,5 @@
 	} T_DHCP6_OPT_SERVERID;
 
-/* IA_NA/IA_PD ãªãã·ã§ã³ */
+/* IA_NA/IA_PD オプション */
 
 typedef struct dhcp6_opt_ia_na_pd {
@@ -170,5 +154,5 @@
 	} T_DHCP6_OPT_IA_NA_PD;
 
-/* IA_TA ãªãã·ã§ã³ */
+/* IA_TA オプション */
 
 typedef struct dhcp6_opt_ia_ta {
@@ -178,5 +162,5 @@
 	} T_DHCP6_OPT_IA_TA;
 
-/* IAADDR ãªãã·ã§ã³ */
+/* IAADDR オプション */
 
 #ifdef T_IN6_ADDR_DEFINED
@@ -192,5 +176,5 @@
 #endif	/* of #ifdef T_IN6_ADDR_DEFINED */
 
-/* ORO ãªãã·ã§ã³ */
+/* ORO オプション */
 
 typedef struct dhcp6_opt_oro {
@@ -199,5 +183,5 @@
 	} T_DHCP6_OPT_ORO;
 
-/* PREFERENCE ãªãã·ã§ã³ */
+/* PREFERENCE オプション */
 
 typedef struct dhcp6_opt_preference {
@@ -207,5 +191,5 @@
 	} T_DHCP6_OPT_PREFERENCE;
 
-/* UNICAST ãªãã·ã§ã³ */
+/* UNICAST オプション */
 
 #ifdef T_IN6_ADDR_DEFINED
@@ -219,5 +203,5 @@
 #endif	/* of #ifdef T_IN6_ADDR_DEFINED */
 
-/* STATUS CODE ãªãã·ã§ã³ */
+/* STATUS CODE オプション */
 
 typedef struct dhcp6_opt_status_code {
@@ -227,5 +211,5 @@
 	} T_DHCP6_OPT_STATUS_CODE;
 
-/* NAME SERVERS ãªãã·ã§ã³ */
+/* NAME SERVERS オプション */
 
 typedef struct dhcp6_opt_name_servers {
@@ -235,5 +219,5 @@
 	} T_DHCP6_OPT_NAME_SERVERS;
 
-/* DOMAIN SEARCH ãªãã·ã§ã³ */
+/* DOMAIN SEARCH オプション */
 
 typedef struct dhcp6_opt_domain_search {
@@ -244,8 +228,6 @@
 
 /*
- *  DHCPv6 ã¿ã¤ãã³ã°å®æ°ãRFC3315 5.5 åç
-§ã
- *  ãã®ä»ã®ã¿ã¤ãã³ã°å®æ°ã¯ dhcp6_cli.h åç
-§
+ *  DHCPv6 タイミング定数【RFC3315 5.5 参照】
+ *  その他のタイミング定数は dhcp6_cli.h 参照
  */
 
@@ -257,5 +239,5 @@
 #define TMO_REQ_TIMEOUT		(1*SYSTIM_HZ)	/*   1[s] 	*/
 #define TMO_REQ_MAX_RT		(30*SYSTIM_HZ)	/*  30[s] 	*/
-#define TMO_REQ_MAX_RC		10		/* åéä¿¡åæ°	*/
+#define TMO_REQ_MAX_RC		10		/* 再送信回数	*/
 #define TMO_CNF_MAX_DELAY	(1*SYSTIM_HZ)	/*   1[s] 	*/
 #define TMO_CNF_TIMEOUT		(1*SYSTIM_HZ)	/*   1[s] 	*/
@@ -270,9 +252,9 @@
 #define TMO_INF_MAX_RT		(120*SYSTIM_HZ)	/* 120[s] 	*/
 #define TMO_REL_TIMEOUT		(1*SYSTIM_HZ)	/*   1[s] 	*/
-#define TMO_REL_MAX_RC		5		/* åéä¿¡åæ°	*/
+#define TMO_REL_MAX_RC		5		/* 再送信回数	*/
 #define TMO_DEC_TIMEOUT		(1*SYSTIM_HZ)	/*   1[s] 	*/
-#define TMO_DEC_MAX_RC		5		/* åéä¿¡åæ°	*/
+#define TMO_DEC_MAX_RC		5		/* 再送信回数	*/
 #define TMO_REC_TIMEOUT		(2*SYSTIM_HZ)	/*   2[s] 	*/
-#define TMO_REC_MAX_RC		8		/* åéä¿¡åæ°	*/
+#define TMO_REC_MAX_RC		8		/* 再送信回数	*/
 
 #endif	/* of #ifdef SYSTIM_HZ */
@@ -282,5 +264,5 @@
  */
 
-/* DUID_LLT æ§é ä½ */
+/* DUID_LLT 構造体 */
 
 typedef struct dhcp6_duid_llt_hdr {
@@ -290,5 +272,5 @@
 	} T_DHCP6_DUID_LLT_HDR;
 
-/* DUID_LL æ§é ä½ */
+/* DUID_LL 構造体 */
 
 typedef struct dhcp6_duid_ll_hdr {
@@ -297,6 +279,5 @@
 	} T_DHCP6_DUID_LL_HDR;
 
-/* DUID ã¿ã¤ããRFC3315 9åç
-§ã*/
+/* DUID タイプ【RFC3315 9参照】*/
 
 #define DUID_LLT		1
@@ -305,16 +286,16 @@
 
 /*
- *  DUID æéã®èª¿æ´
- *  DUID æéã®éå§ã¯ 2001/1/1
+ *  DUID 時間の調整
+ *  DUID 時間の開始は 2001/1/1
  */
 
 #define DUID_TIME_EPOCH		0
 
-/* ãªã¬ã¼è»¢éã®æå¤§ãããæ° */
+/* リレー転送の最大ホップ数 */
 
 #define HOP_COUNT_LIMIT		32
 
 /*
- *  IPv6 ã¢ãã¬ã¹
+ *  IPv6 アドレス
  */
 
@@ -332,5 +313,5 @@
 
 /*
- *  UDP ãã¼ãçªå·
+ *  UDP ポート番号
  */
 
